package com.sdtool.common.servlet.file;

public class WangUploadEntity {

    private int errno;

    private String message;

    private WangUploadData data;

    public WangUploadEntity() {
    }

    private WangUploadEntity(Builder builder) {
        setErrno(builder.errno);
        setMessage(builder.message);
        setData(builder.data);
    }

    public static Builder newBuilder() {
        return new Builder();
    }


    public int getErrno() {
        return errno;
    }

    public void setErrno(int errno) {
        this.errno = errno;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public WangUploadData getData() {
        return data;
    }

    public void setData(WangUploadData data) {
        this.data = data;
    }

    public static final class Builder {
        private int errno;
        private String message;
        private WangUploadData data;

        private Builder() {
        }

        public Builder errno(int val) {
            errno = val;
            return this;
        }

        public Builder message(String val) {
            message = val;
            return this;
        }

        public Builder data(WangUploadData val) {
            data = val;
            return this;
        }

        public WangUploadEntity build() {
            return new WangUploadEntity(this);
        }
    }
}
